RTEMS: rtems_rtl_obj Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
rtems_rtl_obj Struct Reference

`#include <rtl-obj.h>`

## Data Fields
rtems_chain_node | link
uint32_t | flags
size_t | users
size_t | refs
int | format
const char * | fname
const char * | oname
const char * | aname
off_t | ooffset
size_t | fsize
rtems_chain_control | sections
rtems_chain_control | dependents
rtems_rtl_obj_sym * | local_table
size_t | local_syms
size_t | local_size
rtems_rtl_obj_sym * | global_table
size_t | global_syms
size_t | global_size
size_t | unresolved
void * | text_base
size_t | text_size
void * | const_base
size_t | const_size
void * | eh_base
size_t | eh_size
void * | data_base
size_t | data_size
void * | bss_base
size_t | bss_size
size_t | exec_size
void * | entry
uint32_t | checksum
uint32_t * | sec_num
uint32_t | obj_num
void * | trampoline
size_t | tramp_size
size_t | tramps_size
void * | tramp_brk
size_t | tramp_relocs
struct link_map * | linkmap
void * | loader

## Detailed Description

RTL Object. There is one for each object module loaded plus one for the base kernel image.

## Field Documentation

## ◆ aname

const char* rtems_rtl_obj::aname

The archive name containing the object. NULL means the object is not in a lib

## ◆ bss_base

void* rtems_rtl_obj::bss_base

The base address of the bss section in memory.

## ◆ bss_size

size_t rtems_rtl_obj::bss_size

The size of the bss section.

## ◆ checksum

uint32_t rtems_rtl_obj::checksum

The checksum of the text sections. A zero means do not checksum.

## ◆ const_base

void* rtems_rtl_obj::const_base

The base address of the const section in memory.

## ◆ const_size

size_t rtems_rtl_obj::const_size

The size of the const section.

## ◆ data_base

void* rtems_rtl_obj::data_base

The base address of the data section in memory.

## ◆ data_size

size_t rtems_rtl_obj::data_size

The size of the data section.

## ◆ dependents

rtems_chain_control rtems_rtl_obj::dependents

The dependent object files.

## ◆ eh_base

void* rtems_rtl_obj::eh_base

The base address of the eh section in memory.

## ◆ eh_size

size_t rtems_rtl_obj::eh_size

The size of the eh section.

## ◆ entry

void* rtems_rtl_obj::entry

The entry point of the module.

## ◆ exec_size

size_t rtems_rtl_obj::exec_size

The amount of executable memory allocated

## ◆ flags

uint32_t rtems_rtl_obj::flags

The status of the object file.

## ◆ fname

const char* rtems_rtl_obj::fname

The file name for the object.

## ◆ format

int rtems_rtl_obj::format

The format of the object file.

## ◆ fsize

size_t rtems_rtl_obj::fsize

Size of the object file.

## ◆ global_size

size_t rtems_rtl_obj::global_size

Global symbol memory usage.

## ◆ global_syms

size_t rtems_rtl_obj::global_syms

Global symbol count.

## ◆ global_table

rtems_rtl_obj_sym* rtems_rtl_obj::global_table

Global symbol table.

## ◆ link

rtems_chain_node rtems_rtl_obj::link

The node's link in the chain.

## ◆ linkmap

struct link_map* rtems_rtl_obj::linkmap

For GDB.

## ◆ loader

void* rtems_rtl_obj::loader

The file details specific to a loader.

## ◆ local_size

size_t rtems_rtl_obj::local_size

Local symbol memory usage.

## ◆ local_syms

size_t rtems_rtl_obj::local_syms

Local symbol count.

## ◆ local_table

rtems_rtl_obj_sym* rtems_rtl_obj::local_table

Local symbol table.

## ◆ obj_num

uint32_t rtems_rtl_obj::obj_num

The count of elf files in an rtl obj.

## ◆ oname

const char* rtems_rtl_obj::oname

The object file name. Can be relative.

## ◆ ooffset

off_t rtems_rtl_obj::ooffset

The object offset in the archive.

## ◆ refs

size_t rtems_rtl_obj::refs

References to the object file.

## ◆ sec_num

uint32_t* rtems_rtl_obj::sec_num

The sec nums of each obj.

## ◆ sections

rtems_chain_control rtems_rtl_obj::sections

The sections of interest in the object file.

## ◆ text_base

void* rtems_rtl_obj::text_base

The base address of the text section in memory.

## ◆ text_size

size_t rtems_rtl_obj::text_size

The size of the text section.

## ◆ tramp_brk

void* rtems_rtl_obj::tramp_brk

Trampoline memory allocator. MD relocators can take memory from the break up to the size.

## ◆ tramp_relocs

size_t rtems_rtl_obj::tramp_relocs

Number of slots reserved for relocs. The remainder are for unresolved symbols.

## ◆ tramp_size

size_t rtems_rtl_obj::tramp_size

Size of a tramopline slot.

## ◆ trampoline

void* rtems_rtl_obj::trampoline

Trampoline memory. Used for fixups or veneers

## ◆ tramps_size

size_t rtems_rtl_obj::tramps_size

Size of the trampoline memory.

## ◆ unresolved

size_t rtems_rtl_obj::unresolved

The number of unresolved relocations.

## ◆ users

size_t rtems_rtl_obj::users

Users of this object file, number of loads.

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/rtl/rtl-obj.h